datablock fxDtsBrickData(brickBreakable2x2RoundData : brick2x2RoundData)
{
	breakableBrick = 1;
	category = "Rounds";
	subcategory = "Breakable";
	uiName = "2x2 Round Breakable";
};

function brickBreakable2x2RoundData::breakAt(%data, %brick, %pos)
{
	if($BreakableVersion < 5)
		return;
	if($Pref::Server::Breakable::UseBrickDivision)
	{
		%data = brickBreakable1x1RCData.getID();
		breakBrickSpecial(%brick, %data SPC "0.25 0.25 0 2" TAB %data SPC "-0.25 0.25 0 1" TAB %data SPC "-0.25 -0.25 0 0" TAB %data SPC "0.25 -0.25 0 3", %pos);
	}
	else
		breakBrick(%brick, brickBreakable2x2FRCData.getID(), "0 0 -0.2\t0 0 0\t0 0 0.2", %pos);
}

datablock fxDtsBrickData(brickBreakable2x2fRoundData : brick2x2fRoundData)
{
	breakableBrick = 1;
	category = "Rounds";
	subcategory = "Breakable";
	uiName = "2x2F Round Breakable";
};

function brickBreakable2x2fRoundData::breakAt(%data, %brick, %pos)
{
	if($BreakableVersion < 5)
		return;
	%data = brickBreakable1x1FRCData.getID();
	breakBrickSpecial(%brick, %data SPC "0.25 0.25 0 2" TAB %data SPC "-0.25 0.25 0 1" TAB %data SPC "-0.25 -0.25 0 0" TAB %data SPC "0.25 -0.25 0 3", %pos);
}

datablock fxDtsBrickData(brickBreakable1x1RCData)
{
	breakableBrick = 1;
	brickFile = "./1x1R Corner.blb";
	category = "Rounds";
	subcategory = "Breakable";
	uiName = "1x1 Round Corner Breakable";
};

function brickBreakable1x1RCData::breakAt(%data, %brick, %pos)
{
	if($BreakableVersion < 5)
		return;
	breakBrick(%brick, brickBreakable1x1FRCData.getID(), "0 0 -0.2\t0 0 0\t0 0 0.2", %pos, %brick.angleID);
}

datablock fxDtsBrickData(brickBreakable1x1FRCData)
{
	breakableBrick = 1;
	brickFile = "./1x1FR Corner.blb";
	category = "Rounds";
	subcategory = "Breakable";
	uiName = "1x1F Round Corner Breakable";
};

function brickBreakable1x1FRCData::breakAt(%data, %brick, %pos)
{
	if($BreakableVersion < 5)
		return;
	if($BreakableVersion >= 6)
		breakBrickRecord(%brick);
	%brick.delete();
}